{% extends 'base.html.twig' %}

{% block title %}Foncedalle{% endblock %}

{% block body %}
    <div id="form">
        {{ form_start(form, {'attr': {'class': 'form-wrapper'}}) }}
        <h1>Foncedalle</h1>
        <div class="field-wrapper">
            <label for="registration_type_form[userName]">Pseudo</label>
            {{ form_widget(form.userName, {'attr': {'placeholder': 'Pseudo...', 'minLength': '3', 'title': 'Lettres et chiffres uniquement, minimum 3 maximum 20'}}) }}
            {{ form_errors(form.userName) }}
        </div>
        <div class="field-wrapper">
            <label for="registration_type_form[password]">Mot de passe</label>
            {{ form_widget(form.password, { 'attr': {'placeholder': 'Mot de passe...', 'maxLength': '20', 'minLength': '6', 'title': 'Minimum 6 maximum 20'}}) }}
            {{ form_errors(form.password) }}
        </div>
        <div class="field-wrapper">
            <label for="registration_type_form[confirm_password]">Confirmer mot de passe</label>
            {{ form_widget(form.confirm_password, { 'attr': {'placeholder': 'Confimer mot de passe..', 'maxLength': '20', 'minLength': '6', 'title': 'Minimum 6 maximum 20'}}) }}
        </div>
        <button type="submit" class="form-button">Inscription</button>
        <p>Connectez-vous <a href="{{ path('security_login') }}">ici</a></p>
        {{ form_end(form) }}
    </div>
{% endblock %}
